# Interface ServerOpts

interface ServerOpts {
allowHalfOpen?: boolean;
keepAlive?: boolean;
keepAliveInitialDelay?: number;
noDelay?: boolean;
pauseOnConnect?: boolean;
}

#### Hierarchy (view full)

- ServerOpts
  - TlsOptions

- Defined in node_modules/@types/node/net.d.ts:505

#####
Index

### Properties

allowHalfOpen?
keepAlive?
keepAliveInitialDelay?
noDelay?
pauseOnConnect?

## Properties

### `Optional` allowHalfOpen

allowHalfOpen?: boolean

Indicates whether half-opened TCP connections are allowed.

#### Default

    false

- Defined in node_modules/@types/node/net.d.ts:510

### `Optional` keepAlive

keepAlive?: boolean

If set to `true`, it enables keep-alive functionality on the socket immediately after a new incoming connection is received, similarly on what is done in `socket.setKeepAlive([enable][, initialDelay])`.

#### Default

    false

#### Since

v16.5.0

- Defined in node_modules/@types/node/net.d.ts:528

### `Optional` keepAliveInitialDelay

keepAliveInitialDelay?: number

If set to a positive number, it sets the initial delay before the first keepalive probe is sent on an idle socket.

#### Default

    0

#### Since

v16.5.0

- Defined in node_modules/@types/node/net.d.ts:534

### `Optional` noDelay

noDelay?: boolean

If set to `true`, it disables the use of Nagle's algorithm immediately after a new incoming connection is received.

#### Default

    false

#### Since

v16.5.0

- Defined in node_modules/@types/node/net.d.ts:521

### `Optional` pauseOnConnect

pauseOnConnect?: boolean

Indicates whether the socket should be paused on incoming connections.

#### Default

    false

- Defined in node_modules/@types/node/net.d.ts:515